## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# select2nd Struct Template Reference

Functor to retrieve the value of a key-value pair in a map, used in STL iteration algorithms. More...

`#include <STLHelper.hpp>`

Inheritance diagram for select2nd:

[legend]
Collaboration diagram for select2nd:

[legend]
List of all members.

## Public Types

- typedef std::unary_function<
  PairType, typename PairType::second_type> BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type
- typedef PairType value_type

## Public Methods

- result_type operator() (const argument_type &thePair) const
    Retrieve the value of a key-value pair. More...

## Detailed Description

### template<class PairType> struct select2nd

Functor to retrieve the value of a key-value pair in a map, used in STL iteration algorithms.

## Member Typedef Documentation

template<class PairType>
typedef std::unary_function< PairType, typename PairType::second_type > select2nd<PairType>::BaseClassType<PairType, typename PairType::second_type>

template<class PairType>
typedef BaseClassType::argument_type select2nd<PairType>::argument_type

template<class PairType>
typedef BaseClassType::result_type select2nd<PairType>::result_type

template<class PairType>
typedef PairType select2nd<PairType>::value_type

## Member Function Documentation

template<class PairType>
result_type select2nd<PairType>::operator() ( | const argument_type & thePair ) const

  | Retrieve the value of a key-value pair. Parameters:
  thePair | key-value pair
Returns: value

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.